<!DOCTYPE html>
<html lang="{% block html_lang %}{{ DEFAULT_LANG }}{% endblock html_lang %}">

<head>
  {% block head %}
  <title>{% block title %}{{ SITENAME }}{% endblock title %}</title>

  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- inline svg text favicon -->
  <link rel="icon" href=
  "data:image/svg+xml,
    <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'>
      <text x='55' y='80' font-size='120' text-anchor='middle'>
        ☾
      </text>
      <text x='65' y='80' font-size='120' text-anchor='middle'>
        ☾
      </text>
    </svg>
  ">

  <!-- meta tags -->
  <meta name="generator" content="Pelican" />
  <meta name="title" content="{% block meta_title %}{{ SITENAME }}{% endblock %}">
  <meta name="author" content="{% block meta_author %}{{ AUTHOR }}{% endblock %}">
  <meta name="description" content="{% block meta_description %}{{ SHORT }}{% endblock %}">

  <!-- CSS -->
  <link rel="stylesheet" type="text/css" href="/{{ THEME_STATIC_DIR }}/css/main.css" />
  <link rel="stylesheet" type="text/css" href="/{{ THEME_STATIC_DIR }}/css/typography.css" />
  <link rel="stylesheet" type="text/css" href="/{{ THEME_STATIC_DIR }}/css/codeblock.css" />
  <link rel="stylesheet" type="text/css" href="/{{ THEME_STATIC_DIR }}/css/codelight.css" />

  <!-- opengraph:meta -->
  <meta property="og:type" content="website" />
  <meta property="og:title" content="{{ SITENAME }}" />
  <meta property="og:description" content="{{ SHORT }}">
  <meta property="og:url" content="{{ SITEURL }}" />
  <meta property="og:image" content="{{ SITEURL }}/images/cover_2_lurk.png" />

  <!-- twitter:meta -->
  <meta name="twitter:card" content="summary_large_image" />
  <meta name="twitter:title" content="{{ SITENAME }}" />
  <meta name="twitter:description" content="{{ SHORT }}" />
  <meta name="twitter:image" content="{{ SITEURL }}/images/cover_2_lurk.png" />

  {% endblock head %}
</head>

<body class="{% block body_class %}{% endblock %}">

  {% block content %}
  {% endblock %}

  {% block script %}
    <script type="text/javascript" src="/{{ THEME_STATIC_DIR }}/js/mobile-details.js"></script>
  {% endblock %}

</body>

</html>